{*****************************************************************************
 *
 *  pxspell.pas - Phoenix Mail Spell Checker
 *
 *  Copyright (c) 1998-99 Michael Haller
 *
 *  Author:     Michael Haller
 *  E-mail:     michael@discountdrive.com
 *  Homepage:   http://www.discountdrive.com/sunrise
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation;
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *----------------------------------------------------------------------------
 *
 *  Revision history:
 *
 *     DATE     REV                 DESCRIPTION
 *  ----------- --- ----------------------------------------------------------
 *
 *****************************************************************************}

program pxspell;

uses
  Forms,
  Windows,
  Messages,
  Dialogs,
  SysUtils,
  Main in 'Main.pas' {MainForm};

{$R pxspeller.res}

const
  WM_SPELLCHECKFINISHED = WM_USER + 524;

var
  H: HWnd;

begin
  Application.Initialize;
  Application.Title := 'Phoenix Mail Spell Checker';
  Application.ShowMainForm := False;
  Application.CreateForm(TMainForm, MainForm);
  ShowWindow(Application.Handle, SW_HIDE);
  if (ParamCount >= 2) and FileExists(ParamStr(1)) then begin
    H := StrToInt(ParamStr(2));
    try
      MainForm.Memo1.Lines.LoadFromFile(ParamStr(1));
      DeleteFile(ParamStr(1));
      if MainForm.CheckSpell then
        MainForm.Memo1.Lines.SaveToFile(ParamStr(1));
    finally
      SendMessage(H, WM_SPELLCHECKFINISHED, 0, 0);
    end;
  end else
    MessageDlg('This is not a stand-alone application. Start Phoenix Mail instead!'+#13+'Phoenix Mail is available for free at http://www.discountdrive.com/sunrise/', mtInformation, [mbOK], 0);
  Application.Terminate;
  Application.Run;
end.
